if status is-interactive
    # Starship Prompt
    starship init fish | source
end

# Disable Greeting
set fish_greeting

# Add binary paths
set -gx PATH $HOME/.local/bin $HOME/.cargo/bin $HOME/bin $PATH

# Env Vars
set -gx EDITOR "micro"
set -gx TERMUX_ROOT "/data/data/com.termux/files"

alias ls='eza'
alias l='eza -l'
alias la='eza -la'
alias cat='bat -p'
alias gfold='gfold -d classic'

# Rust
set -gx RUST_LOG info

function enable_bitwarden_ssh_socket
    set -gx SSH_AUTH_SOCK "/home/angelo/.bitwarden-ssh-agent.sock"
end

set -gx GPG_TTY $(tty)
